﻿@model Generations.MVC.Models.MissionaryCrudModel

<script type="text/javascript">
    $(document).ready(function () {
        // Add enctype to form
        $('form').attr('enctype', 'multipart/form-data');

        $("#dialog-confirm").dialog({
            resizable: false,
            height: 200,
            modal: true,
            autoOpen: false,
            buttons: {
                "Delete all items": function () {
                    $(this).dialog("close");
                    window.location = $('#delete_anchor').attr('href');
                },
                Cancel: function () {
                    $(this).dialog("close");
                }
            }
        });        

    });  // End Document Ready
</script>

@if (Model.ErrorMessage != null) { 
    <div id="error_div" class="ui-state-error ui-corner-all">
        <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
        @Model.ErrorMessage
    </div>
}

@using (Html.BeginForm())
{ 
    <fieldset>
        <table>
            <tr>
                <td><label for="Name">Name:</label></td>
                <td>
                    @Html.TextBoxFor(m => Model.Name)
                    @Html.ValidationMessageFor(m => Model.Name)
                </td>
            </tr>
            <tr>
                <td><label for="Email">Email:</label></td>
                <td>
                    @Html.TextBoxFor(m => m.Email, new { id = "Email" })
                    @Html.ValidationMessageFor(m => Model.Email)
                </td>
            </tr>
            <tr>
                <td><label for="Phone">Phone:</label></td>
                <td>
                    @Html.TextBoxFor(m => m.Phone, new { id = "Phone" })
                    @Html.ValidationMessageFor(m => Model.Phone)
                </td>
            </tr>
            <tr>
                <td><label for="Address">Address:</label></td>
                <td>@Html.TextBoxFor(m => Model.Address)</td>
            </tr>
            <tr>
                <td><label for="EveryEthneStaffList">EE Staff:</label></td>
                <td>
                    @Html.RadioButtonFor(m => Model.IsEveryEthneStaff, true, new { id = "IsEveryEthneStaff_true" })
                    <label for="IsEveryEthneStaff_true">Yes</label>
                    @Html.RadioButtonFor(m => Model.IsEveryEthneStaff, false, new { id = "IsEveryEthneStaff_false", @checked = "checked" })
                    <label for="IsEveryEthneStaff_false">No</label>
                </td>
            </tr>
            <tr>
                <td><label for="AdditionalInfo">Info:</label></td>
                <td>
                    @Html.TextAreaFor(m => m.AdditionalInfo, new { id = "AdditionalInfo" })
                    @Html.ValidationMessageFor(m => Model.AdditionalInfo)
                </td>
            </tr>
            @*<tr>
                <td><label for="Image">Image:</label></td>
                <td><input type="file" name="imageFile" id="imageFile" /></td>
            </tr>*@
        </table>
        <input type="submit" value="Save" id="Save" />
        @if (Model.Id != 0)
        { 
            <input type="button" value="Delete" id="Delete" onclick="$('#dialog-confirm').dialog('open')" />
            <a id="delete_anchor" href="@Url.Action("Delete", new { id = Model.Id, parentId = Model.ParentMissionaryId })" style="visibility:hidden;" />
        }
        
    </fieldset>
}

<div id="dialog-confirm" title="Delete missionary?">
    <p>
        <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>
            This missionary and all children will be permanently deleted. Are you sure?
        </p>
</div>